Package com.verisign.epp.codec.org

## Class EPPOrgCreateCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPCreateCmd
    - - com.verisign.epp.codec.org.EPPOrgCreateCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPOrgCreateCmd
      extends EPPCreateCmd

  Command used to create an org object.
  See Also:
    `EPPOrgCreateResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPOrgCreateCmd`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPOrgCreateCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPOrgCreateCmd()` | `EPPOrgCreateCmd` default constructor with the default form of `Form.LIST_FORM`.
    `EPPOrgCreateCmd​(java.lang.String aTransId)` | `EPPOrgCreateCmd` constructor that takes the client transaction identifier.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addContact​(EPPOrgContact aContact)` | Adds a contact to the list of contacts.
    `void` | `addPostalInfo​(EPPOrgPostalDefinition aPostalInfo)` | Adds a postal definition to the postal information for the org.
    `void` | `addRole​(EPPOrgRole aRole)` | Add a role to list of org roles.
    `void` | `addStatus​(EPPOrgStatus aStatus)` | Add a status to list of org statuses.
    `java.lang.Object` | `clone()` | Clone `EPPOrgCreateCmd`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPOrgCreateCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPOrgCreateCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPOrgCreateCmd` with this instance.
    `java.util.List<EPPOrgContact>` | `getContacts()` | Gets the list of org contacts.
    `java.lang.String` | `getEmail()` |
    `java.lang.String` | `getFax()` |
    `java.lang.String` | `getFaxExt()` |
    `java.lang.String` | `getNamespace()` | Gets the EPP command namespace associated with `EPPOrgCreateCmd`.
    `java.lang.String` | `getOrgId()` | Gets the org identifier.
    `java.lang.String` | `getParentId()` |
    `java.util.List<EPPOrgPostalDefinition>` | `getPostalInfo()` | Gets the postal information for the org.
    `java.util.List<EPPOrgRole>` | `getRoles()` | Gets the roles of the org.
    `java.util.List<EPPOrgStatus>` | `getStatuses()` | Gets the statuses of the org.
    `java.lang.String` | `getType()` | Gets the EPP response type associated with `EPPOrgCreateCmd`.
    `java.lang.String` | `getUrl()` | Gets the URL of the website of the org.
    `java.lang.String` | `getVoice()` |
    `java.lang.String` | `getVoiceExt()` |
    `boolean` | `hasContacts()` | Is there any contacts set?
    `boolean` | `hasParentId()` | Is the parentId defined?
    `boolean` | `hasPostalInfo()` | Is there any postal information set?
    `boolean` | `hasRole()` | Is there at least one role?
    `boolean` | `hasStatus()` | Is there at least one status?
    `void` | `setContacts​(java.util.List<EPPOrgContact> aContacts)` | Sets the list of org contacts.
    `void` | `setEmail​(java.lang.String aEmail)` |
    `void` | `setFax​(java.lang.String aFax)` |
    `void` | `setFaxExt​(java.lang.String aFaxExt)` |
    `void` | `setOrgId​(java.lang.String aOrgId)` | Sets the org identifier.
    `void` | `setParentId​(java.lang.String aParentId)` |
    `void` | `setPostalInfo​(java.util.List<EPPOrgPostalDefinition> aPostalInfo)` | Sets the postal information for the org.
    `void` | `setRoles​(java.util.List<EPPOrgRole> aRoles)` | Sets the roles of the org.
    `void` | `setStatuses​(java.util.List<EPPOrgStatus> aStatuses)` | Sets the statuses of the org.
    `void` | `setUrl​(java.lang.String aUrl)` | Sets the URL of the website of the org.
    `void` | `setVoice​(java.lang.String aVoice)` |
    `void` | `setVoiceExt​(java.lang.String aVoiceExt)` |
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCreateCmd

      `doGenDecode, doGenEncode`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPOrgCreateCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPOrgCreateCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPOrgCreateCmd

          public EPPOrgCreateCmd()

      `EPPOrgCreateCmd` default constructor with the default form of `Form.LIST_FORM`.

    - #### EPPOrgCreateCmd

          public EPPOrgCreateCmd​(java.lang.String aTransId)

      `EPPOrgCreateCmd` constructor that takes the client transaction identifier.
      Parameters:
        `aTransId` - Client transaction identifier.

  - ### Method Detail

    - #### getOrgId

          public java.lang.String getOrgId()

      Gets the org identifier.
      Returns:
        The org identifier if defined;`null` otherwise.

    - #### setOrgId

          public void setOrgId​(java.lang.String aOrgId)

      Sets the org identifier.
      Parameters:
        `aOrgId` - The org identifier

    - #### hasRole

          public boolean hasRole()

      Is there at least one role?
      Returns:
        `true` if there at least one role; `false` otherwise.

    - #### getRoles

          public java.util.List<EPPOrgRole> getRoles()

      Gets the roles of the org.
      Returns:
        List of roles of the org.

    - #### setRoles

          public void setRoles​(java.util.List<EPPOrgRole> aRoles)

      Sets the roles of the org.
      Parameters:
        `aRoles` - Organization roles

    - #### addRole

          public void addRole​(EPPOrgRole aRole)

      Add a role to list of org roles.
      Parameters:
        `aRole` - Org role to add.

    - #### hasStatus

          public boolean hasStatus()

      Is there at least one status?
      Returns:
        `true` if there at least one status; `false` otherwise.

    - #### getStatuses

          public java.util.List<EPPOrgStatus> getStatuses()

      Gets the statuses of the org.
      Returns:
        List of statuses of the org.

    - #### setStatuses

          public void setStatuses​(java.util.List<EPPOrgStatus> aStatuses)

      Sets the statuses of the org.
      Parameters:
        `aStatuses` - Organization statuses

    - #### addStatus

          public void addStatus​(EPPOrgStatus aStatus)

      Add a status to list of org statuses.
      Parameters:
        `aStatus` - Org status to add.

    - #### hasParentId

          public boolean hasParentId()

      Is the parentId defined?
      Returns:
        `true` if the parentId is defined; `false` otherwise.

    - #### getParentId

          public java.lang.String getParentId()

      Returns:
        the parentId

    - #### setParentId

          public void setParentId​(java.lang.String aParentId)

      Parameters:
        `aParentId` - the parentId to set

    - #### hasPostalInfo

          public boolean hasPostalInfo()

      Is there any postal information set?
      Returns:
        `true` if there is at least one `EPPOrgPostalDefinition` set in the postal information; `false` otherwise.

    - #### addPostalInfo

          public void addPostalInfo​(EPPOrgPostalDefinition aPostalInfo)

      Adds a postal definition to the postal information for the org.
      Parameters:
        `aPostalInfo` - Postal definition to add to the postal information.

    - #### getPostalInfo

          public java.util.List<EPPOrgPostalDefinition> getPostalInfo()

      Gets the postal information for the org. There can be one or two `EPPOrgPostalDefinition` objects in the postal information list.
      Returns:
        Postal information for the org

    - #### setPostalInfo

          public void setPostalInfo​(java.util.List<EPPOrgPostalDefinition> aPostalInfo)

      Sets the postal information for the org. There can be one or two `EPPOrgPostalDefinition` objects in the postal information list.
      Parameters:
        `aPostalInfo` - Postal information for the org.

    - #### getVoice

          public java.lang.String getVoice()

      Returns:
        the voice

    - #### setVoice

          public void setVoice​(java.lang.String aVoice)

      Parameters:
        `aVoice` - the voice to set

    - #### getVoiceExt

          public java.lang.String getVoiceExt()

      Returns:
        the voiceExt

    - #### setVoiceExt

          public void setVoiceExt​(java.lang.String aVoiceExt)

      Parameters:
        `aVoiceExt` - the voiceExt to set

    - #### getFax

          public java.lang.String getFax()

      Returns:
        the fax

    - #### setFax

          public void setFax​(java.lang.String aFax)

      Parameters:
        `aFax` - the fax to set

    - #### getFaxExt

          public java.lang.String getFaxExt()

      Returns:
        the faxExt

    - #### setFaxExt

          public void setFaxExt​(java.lang.String aFaxExt)

      Parameters:
        `aFaxExt` - the faxExt to set

    - #### getEmail

          public java.lang.String getEmail()

      Returns:
        the email

    - #### setEmail

          public void setEmail​(java.lang.String aEmail)

      Parameters:
        `aEmail` - the email to set

    - #### getUrl

          public java.lang.String getUrl()

      Gets the URL of the website of the org.
      Returns:
        URL of the website of the org.

    - #### setUrl

          public void setUrl​(java.lang.String aUrl)

      Sets the URL of the website of the org.
      Parameters:
        `aUrl` - URL of the website of the org.

    - #### hasContacts

          public boolean hasContacts()

      Is there any contacts set?
      Returns:
        `true` if there is at least one `EPPOrgContact` set; `false` otherwise.

    - #### addContact

          public void addContact​(EPPOrgContact aContact)

      Adds a contact to the list of contacts.
      Parameters:
        `aContact` - Contact add to the list of contacts.

    - #### getContacts

          public java.util.List<EPPOrgContact> getContacts()

      Gets the list of org contacts.
      Returns:
        The list of org contacts.

    - #### setContacts

          public void setContacts​(java.util.List<EPPOrgContact> aContacts)

      Sets the list of org contacts.
      Parameters:
        `aContacts` - List of org contacts. If `null` will set to an empty list.

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPOrgCreateCmd` instance.
      Specified by:
        `doEncode` in class `EPPCreateCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the EPPOrgCreateCmd instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPOrgCreateCmd instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPOrgCreateCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPCreateCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPOrgCreateCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPOrgCreateCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPOrgCreateCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getType

          public java.lang.String getType()

      Gets the EPP response type associated with `EPPOrgCreateCmd`.
      Overrides:
        `getType` in class `EPPCreateCmd`
      Returns:
        `EPPOrgCreateCmd.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPOrgCreateCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPOrgMapFactory.NS`

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPOrgCreateCmd` with this instance.
      Overrides:
        `equals` in class `EPPCreateCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.